be.fgov.ehealth.standards.kmehr.schema.v1

## Class RegimenFactory

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.schema.v1.RegimenFactory

-     public class RegimenFactory
      extends Object

  Created by EH053 on 09/09/2016.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegimenFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JAXBElement<org.joda.time.DateTime>` | `createDate(org.joda.time.DateTime date)`
    `static JAXBElement<BigInteger>` | `createDayNumber(BigInteger number)`
    `static JAXBElement<Daytime>` | `createDaytime(Daytime date)`
    `static JAXBElement<AdministrationquantityType>` | `createQuantity(BigDecimal decimal)`
    `static JAXBElement<AdministrationquantityType>` | `createQuantity(BigDecimal decimal, AdministrationunitType administrationunitType)`
    `static JAXBElement<Weekday>` | `createWeekday(Weekday date)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegimenFactory

          public RegimenFactory()

  - ### Method Detail

    - #### createDayNumber

          public static JAXBElement<BigInteger> createDayNumber(BigInteger number)

    - #### createDate

          public static JAXBElement<org.joda.time.DateTime> createDate(org.joda.time.DateTime date)

    - #### createDaytime

          public static JAXBElement<Daytime> createDaytime(Daytime date)

    - #### createWeekday

          public static JAXBElement<Weekday> createWeekday(Weekday date)

    - #### createQuantity

          public static JAXBElement<AdministrationquantityType> createQuantity(BigDecimal decimal)

    - #### createQuantity

          public static JAXBElement<AdministrationquantityType> createQuantity(BigDecimal decimal,
                                                                               AdministrationunitType administrationunitType)

Connector Packaging PERSAUDIOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.